function [ F ] = getForceVectorTension(FEM,SD)
    F = zeros(SD.nDOF,1);
    for i = 1:1:size(SD.FSide,2)
        switch(SD.FSide{i}{1})
            case 't' %find top most elements in domain
                %determine loaded elements using y-coordinates
                loadedElements = [];
                for j = 1:1:SD.numberOfElements
                    [ ~ , yCoord ] = elementNodeCoordinates( SD.nodes , SD.localElements , j , FEM.nodesPerElement, [0,0]);
                    points = find(abs(yCoord-max(SD.nodes(:,2)))<FEM.tol);
                    if length(points) == FEM.nodesPerElement
                        loadedElements = [loadedElements,j];
                    end
                end
                SD.loadedElements = loadedElements;
                SD.loading = [0,0]';
                if SD.FSide{i}{2}(1) %load in x-direction
                    SD.loading = SD.loading+[SD.FSide{i}{2}(3),0]';
                end
                if SD.FSide{i}{2}(2) %load in y-direction
                    SD.loading = SD.loading+[0,SD.FSide{i}{2}(3)]';
                end      
                %compute update to subdomain load vector
                [F_update] = getForceVectorTensionSubdomain(FEM,SD);
                F = F + F_update;
            case 'b'
                %determine loaded elements using y-coordinates
                loadedElements = [];
                for j = 1:1:SD.numberOfElements
                    [ ~ , yCoord ] = elementNodeCoordinates( SD.nodes , SD.localElements , j , FEM.nodesPerElement, [0,0]);
                    points = find(abs(yCoord-min(SD.nodes(:,2)))<FEM.tol);
                    if length(points) == FEM.nodesPerElement
                        loadedElements = [loadedElements,j];
                    end
                end
                SD.loadedElements = loadedElements;
                SD.loading = [0,0]';
                if SD.FSide{i}{2}(1) %load in x-direction
                    SD.loading = SD.loading+[SD.FSide{i}{2}(3),0]';
                end
                if SD.FSide{i}{2}(2) %load in y-direction
                    SD.loading = SD.loading+[0,SD.FSide{i}{2}(3)]';
                end
                %compute update to subdomain load vector
                [F_update] = getForceVectorTensionSubdomain(FEM,SD);
                F = F + F_update;
            otherwise
                disp('F case not implemented yet')
        end
    end
end