figure(2)
hold on
%alias
Plot.SF = FEM.plotScalingFactor;
if FEM.verbose; fprintf(1,'Plotting displacements'); end
for i = 1:1:FEM.nSD
    %find rigid body translations
    Plot.rigidInd = find(SD(i).lambda>-0.1);
    %determine new scaling center location
    SD(i).SCDisp = SD(i).Q(1:FEM.DOFPerNode,Plot.rigidInd)*SD(i).C(Plot.rigidInd,1);
    %original position and displacements of nodes
    Plot.xCoord = SD(i).nodes(:,1);
    Plot.yCoord = SD(i).nodes(:,2);
    Plot.dispX = Plot.xCoord + FEM.plotScalingFactor * SD(i).U(1:2:end);
    Plot.dispY = Plot.yCoord + FEM.plotScalingFactor * SD(i).U(2:2:end);
    %fill of elements
    for j = 1:1:SD(i).numberOfElements
        Plot.nodeS = SD(i).localElements(j,  1);
        Plot.nodeE = SD(i).localElements(j,end);
        Plot.sNDOF = nodesToDOF(Plot.nodeS,FEM.DOFPerNode);
        Plot.eNDOF = nodesToDOF(Plot.nodeE,FEM.DOFPerNode);
        Plot.dN1X = SD(i).nodes(Plot.nodeS,1)+ Plot.SF * SD(i).U(Plot.sNDOF(1,1));
        Plot.dN2X = SD(i).nodes(Plot.nodeE,1)+ Plot.SF * SD(i).U(Plot.eNDOF(1,1));
        Plot.dN1Y = SD(i).nodes(Plot.nodeS,2)+ Plot.SF * SD(i).U(Plot.sNDOF(1,2));
        Plot.dN2Y = SD(i).nodes(Plot.nodeE,2)+ Plot.SF * SD(i).U(Plot.eNDOF(1,2));

        Plot.xFill = [SD(i).SC(1)+FEM.plotScalingFactor *SD(i).SCDisp(1), Plot.dN1X, Plot.dN2X ];
        Plot.yFill = [SD(i).SC(2)+FEM.plotScalingFactor *SD(i).SCDisp(2), Plot.dN1Y, Plot.dN2Y ];
        patch(Plot.xFill,Plot.yFill,'green')
    end

    %fill here
    scatter(Plot.xCoord,Plot.yCoord)
    scatter(Plot.dispX,Plot.dispY)
end
axis equal
hold off
if FEM.verbose; fprintf(1,'...done!\n'); end